GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Data Structures | Namespaces | Functions | Variables
proto_utils.cc File Reference
`#include <grpc++/impl/proto_utils.h>`
`#include <grpc++/config.h>`
`#include <grpc/grpc.h>`
`#include <grpc/byte_buffer.h>`
`#include <grpc/byte_buffer_reader.h>`
`#include <grpc/support/slice.h>`
`#include <grpc/support/slice_buffer.h>`
`#include <grpc/support/port_platform.h>`

## Data Structures
class | GrpcBufferWriter
class | GrpcBufferReader

## Namespaces
| grpc

## Functions
Status | grpc::SerializeProto (const grpc::protobuf::Message &msg, grpc_byte_buffer **buffer)
Status | grpc::DeserializeProto (grpc_byte_buffer *buffer, grpc::protobuf::Message *msg, int max_message_size)

## Variables
const int | kMaxBufferLength = 8192

## Variable Documentation

const int kMaxBufferLength = 8192